package domain


type AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo struct {
    /*
        外部主单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        外部渠道店ID(与shop_id必选其一)     */
    OutShopId  *string `json:"out_shop_id,omitempty" `

    /*
        外部逆向单ID     */
    OutRefundId  *string `json:"out_refund_id,omitempty" `

    /*
        渠道来源(选填out_shop_id时该值必填)     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        渠道店id(与out_shop_id必选其一)     */
    ShopId  *string `json:"shop_id,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo) SetOutOrderId(v string) *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo) SetOutShopId(v string) *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo {
    s.OutShopId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo) SetOutRefundId(v string) *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo {
    s.OutRefundId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo) SetOrderFrom(v int64) *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo) SetShopId(v string) *AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo {
    s.ShopId = &v
    return s
}
